<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Movimientobanco{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo para mostrar registros
public function mostrar($idbancocuenta){
	$sql="SELECT * FROM bancocuenta WHERE idbancocuenta='$idbancocuenta'";
	return ejecutarConsultaSimpleFila($sql);
}

public function listar(){
	$sql="SELECT dm.iddetalle_movimientobanco, dm.idbancocuenta, dm.idmovimiento, sum(if(dm.tipo_movimiento='Cobro',dm.montod,0)) as cobrado, sum(if(dm.tipo_movimiento='Pago',dm.montod,0)) as pagado, sum(if(dm.tipo_movimiento='Pago',dm.montod*-1,dm.montod)) as saldo, b.nombre FROM detalle_movimientobanco dm INNER JOIN bancocuenta b ON b.idbancocuenta=dm.idbancocuenta GROUP BY dm.idbancocuenta";
	return ejecutarConsulta($sql);
}

public function listarpago(){
	$sql="SELECT p.idpagoproveedor,p.idproveedor,p.idformapago,p.idusuario,p.idtipopagos,p.idbancocuenta,p.referencia,DATE(p.fecha_hora) as fecha,p.total_pago,p.retencion,p.estado,pp.nombre as proveedor, b.nombre as cuenta FROM pagos p LEFT JOIN persona pp ON pp.idpersona=p.idproveedor LEFT JOIN bancocuenta b ON b.idbancocuenta=p.idbancocuenta";
	return ejecutarConsulta($sql);
	//return ($sql);
}

public function listardeuda(){
	$sql="SELECT p.idpersona as idproveedor, p.nombre, p.num_documento as rif_ci, SUM( IF (v.montopendiente>0,v.montopendiente,v.total_compra) ) as saldo FROM persona p INNER JOIN ingreso v ON p.idpersona=v.idproveedor WHERE p.tipo_persona='proveedor' AND v.estado<>'Pagada' GROUP BY p.idpersona";
	return ejecutarConsulta($sql);
}

public function listarDetalle($idbancocuenta){
	$sql="SELECT dm.iddetalle_movimientobanco,if(dm.tipo_movimiento='Pago',p.referencia,c.referencia) as referencia,dm.idbancocuenta, dm.idmovimiento, dm.tipo_movimiento, dm.montod, IF(dm.tipo_movimiento='Cobro',c.fecha_hora,IF(dm.tipo_movimiento='Pago',p.fecha_hora,'N/A')) as fecha, if(dm.tipo_movimiento='Pago','salida','entrada') as estado, if(dm.tipo_movimiento='Pago',pp.nombre,pc.nombre) as nombre FROM detalle_movimientobanco dm LEFT JOIN cobros c ON c.idcobrocliente=dm.idmovimiento LEFT JOIN persona pc ON pc.idpersona=c.idcliente LEFT JOIN pagos p ON p.idpagoproveedor=dm.idmovimiento LEFT JOIN persona pp ON pp.idpersona=p.idproveedor WHERE dm.idbancocuenta='$idbancocuenta'";
	return ejecutarConsulta($sql);
}

public function listarDetallepago($idpersona){
	$sql="SELECT * FROM ingreso 
	WHERE idproveedor='$idpersona' AND (estado='Pendiente' OR estado='Parcial')";
	return ejecutarConsulta($sql);
}

}

 ?>
